Bug 853451 - ValueError: Cannot remove extended partition sda4. Logical partitions present.
ValueError: Cannot remove extended partition sda4. Logical partitions present.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:38acf131fb4be2c912fda4f0dd8...
:
: 853627 855512 861410 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 11:09 EDT by Joachim Frieben
Modified: 2014-02-05 07:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:07:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (1.31 KB, text/plain)
2012-08-31 11:09 EDT, Joachim Frieben
no flags Details
File: anaconda-tb (850.66 KB, text/plain)
2012-08-31 11:09 EDT, Joachim Frieben
no flags Details
File: environ (876 bytes, text/plain)
2012-08-31 11:09 EDT, Joachim Frieben
no flags Details
File: type (9 bytes, text/plain)
2012-08-31 11:09 EDT, Joachim Frieben
no flags Details
File: storage.log (325.51 KB, text/plain)
2012-08-31 11:09 EDT, Joachim Frieben
no flags Details
File: program.log (129.99 KB, text/plain)
2012-08-31 11:09 EDT, Joachim Frieben
no flags Details
File: product (6 bytes, text/plain)
2012-08-31 11:10 EDT, Joachim Frieben
no flags Details
File: anaconda.log (17.17 KB, text/plain)
2012-08-31 11:10 EDT, Joachim Frieben
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-08-31 11:10 EDT, Joachim Frieben
no flags Details
File: version (2 bytes, text/plain)
2012-08-31 11:10 EDT, Joachim Frieben
no flags Details
File: release (27 bytes, text/plain)
2012-08-31 11:10 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2012-08-31 11:09:24 EDT
Version-Release number of selected component:
anaconda-18.6.4-1.fc18.x86_64

Additional info:
libreport version: 2.0.13
cmdline:        initrd=initrd0.img root=live:CDLABEL=fedora-livec-x86_64-201208271518 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.6.4 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 384, in _removeDevice
:    "Logical partitions present." % dev.name)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 424, in registerAction
:    self._removeDevice(action.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1231, in destroyDevice
:    self.devicetree.registerAction(action)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 816, in _destroy_device
:    self.__storage.destroyDevice(device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 900, in on_remove_clicked
:    self._destroy_device(device)
:ValueError: Cannot remove extended partition sda4.  Logical partitions present.
Comment 1 Joachim Frieben 2012-08-31 11:09:27 EDT
Created attachment 608534 [details]
File: ifcfg.log
Comment 2 Joachim Frieben 2012-08-31 11:09:38 EDT
Created attachment 608535 [details]
File: anaconda-tb
Comment 3 Joachim Frieben 2012-08-31 11:09:40 EDT
Created attachment 608536 [details]
File: environ
Comment 4 Joachim Frieben 2012-08-31 11:09:43 EDT
Created attachment 608537 [details]
File: type
Comment 5 Joachim Frieben 2012-08-31 11:09:48 EDT
Created attachment 608538 [details]
File: storage.log
Comment 6 Joachim Frieben 2012-08-31 11:09:57 EDT
Created attachment 608539 [details]
File: program.log
Comment 7 Joachim Frieben 2012-08-31 11:10:00 EDT
Created attachment 608540 [details]
File: product
Comment 8 Joachim Frieben 2012-08-31 11:10:03 EDT
Created attachment 608541 [details]
File: anaconda.log
Comment 9 Joachim Frieben 2012-08-31 11:10:06 EDT
Created attachment 608542 [details]
File: hashmarkername
Comment 10 Joachim Frieben 2012-08-31 11:10:08 EDT
Created attachment 608543 [details]
File: version
Comment 11 Joachim Frieben 2012-08-31 11:10:10 EDT
Created attachment 608544 [details]
File: release
Comment 12 Chris Lumens 2012-09-01 11:23:18 EDT
*** Bug 853627 has been marked as a duplicate of this bug. ***
Comment 13 Jesse Keating 2012-09-10 16:53:26 EDT
*** Bug 855512 has been marked as a duplicate of this bug. ***
Comment 14 Jesse Keating 2012-09-28 13:06:21 EDT
*** Bug 861410 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2013-12-21 03:49:29 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 07:07:28 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.